Package net.shibboleth.idp.installer.impl

# Class V5Install.Initializer

java.lang.Object
net.shibboleth.shared.spring.context.AbstractPropertiesApplicationContextInitializer
net.shibboleth.idp.spring.IdPPropertiesApplicationContextInitializer
net.shibboleth.idp.installer.impl.V5Install.Initializer

All Implemented Interfaces:
  `ApplicationContextInitializer<ConfigurableApplicationContext>`

Enclosing class:
  V5Install

private class V5Install.Initializer extends IdPPropertiesApplicationContextInitializer
An `ApplicationContextInitializer` which knows about our idp.home and also injects properties for the backchannel certificate and hostname.

## Field Summary

### Fields inherited from class net.shibboleth.idp.spring.IdPPropertiesApplicationContextInitializer

`FAILFAST_PROPERTY, IDP_ADDITIONAL_PROPERTY, IDP_AUTOSEARCH_PROPERTY, IDP_AUTOSEARCH_ROOT, IDP_DUPLICATE_PROPERTY, IDP_HOME_PROPERTY, IDP_PROPERTIES, SEARCH_LOCATION`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`Initializer()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getSearchLocation()`
`void`
`initialize(ConfigurableApplicationContext applicationContext)`
`String`
`selectSearchLocation(ConfigurableApplicationContext applicationContext)`

### Methods inherited from class net.shibboleth.idp.spring.IdPPropertiesApplicationContextInitializer

`getAdditionalPropertiesPropertyName, getAutoSearchPropertyName, getAutoSearchRoot, getDuplicateWarningPropertyName, getExcludedSearchPaths, getFailFastPropertyName, getHomePropertyName, getSearchTarget`

### Methods inherited from class net.shibboleth.shared.spring.context.AbstractPropertiesApplicationContextInitializer

`appendPropertySource, getAdditionalSources, isFailFast, loadAdditionalPropertySources, loadProperties, logProperties, setHomeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Initializer

private Initializer()

## Method Details

### selectSearchLocation

@Nonnull public String selectSearchLocation(@Nonnull ConfigurableApplicationContext applicationContext)

Overrides:
  `selectSearchLocation` in class `AbstractPropertiesApplicationContextInitializer`

### getSearchLocation

@Nonnull public String getSearchLocation()

Overrides:
  `getSearchLocation` in class `IdPPropertiesApplicationContextInitializer`

### initialize

public void initialize(@Nonnull ConfigurableApplicationContext applicationContext)

Specified by:
  `initialize` in interface `ApplicationContextInitializer<ConfigurableApplicationContext>`
Overrides:
  `initialize` in class `AbstractPropertiesApplicationContextInitializer`